import request from '@/utils/request'

// 查询资产信息列表
export function listInformation(query) {
  return request({
    url: '/asset/information/list',
    method: 'get',
    params: query
  })
}

// 查询资产信息列表
export function select(query) {
  return request({
    url: '/asset/information/select',
    method: 'get',
    params: query
  })
}

// 查询资产信息列表
export function listInformation2() {
  return request({
    url: '/visitor/asset/list',
    method: 'get'
  })
}

// 查询资产信息详细
export function getInformation(id) {
  return request({
    url: '/asset/information/' + id,
    method: 'get'
  })
}

// 新增资产信息
export function addInformation(data) {
  return request({
    url: '/asset/information',
    method: 'post',
    data: data
  })
}

// 修改资产信息
export function updateInformation(data) {
  return request({
    url: '/asset/information',
    method: 'put',
    data: data
  })
}

// 删除资产信息
export function delInformation(id) {
  return request({
    url: '/asset/information/' + id,
    method: 'delete'
  })
}

// 标签打印
export function printLabel(data) {
  return request({
    url: '/asset/information/print',
    method: 'post',
    data: data
  })
}

// 单个标签打印
export function singlePrintLabel(data) {
  return request({
    url: '/asset/information/print/single',
    method: 'post',
    data: data
  })
}

//自定义字段
export function getDiy() {
  return request({
    url: '/asset/information/getDiy',
    method: 'get'
  })
}

export function setDiy(data) {
  return request({
    url: '/asset/information/setDiy',
    method: 'post',
    data: data
  })
}